Bug Hunting Session
Bug 128239 - Make Paragraph Dialog HIG conform
Summary: Make Paragraph Dialog HIG conform
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2019-10-18 20:59 UTC by andreas_k
Modified: 2019-10-25 07:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
paragraph dialog 01 (263.05 KB, image/png)
2019-10-18 22:16 UTC, andreas_k
Details
Outline Tab update (49.83 KB, image/png)
2019-10-19 10:42 UTC, andreas_k
Details
Outline Tab update 02 (49.86 KB, image/png)
2019-10-21 20:02 UTC, andreas_k
Details
Text Flow (47.76 KB, image/png)
2019-10-25 07:41 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-10-18 20:59:43 UTC
The idea is to make an better Alignment of the Paragraph Dialog.
Comment 1 andreas_k 2019-10-18 22:16:19 UTC
Created attachment 155133 [details]
paragraph dialog 01

Alignment tab
- Last line settings are related to Justified, so I add them there
- align and resize the different elements

Text Flow
- Breaks section layout is grouped within one column but arranged right to Hyphenation to reduce vertical space.
- In addition the new layout focus more on Text Flow but show also Break as additional option

Outline & Numbering
- Like in Alignment tab align and resize the different elements
- should I arrange the drop down menus and checkboxes right to the text labels cause now the content is very left align.
Comment 2 andreas_k 2019-10-19 10:42:08 UTC
Created attachment 155148 [details]
Outline Tab update

It look better when boxes are right to the checkboxes and text, otherwise there is to much space for the content.
Comment 3 Heiko Tietze 2019-10-21 07:57:46 UTC
Alignment: The more text you place in one line the larger this dialog becomes in lengthy tongues. At least, from Last Line on underneath Justified with some indentation, of course.

Hyphenation: Why do you place automatic (page) break next to hyphenation? All previous modifications to the ui were done to have a consistent layout.

Outline: If the outline dropdown is linked in size to the numbers we may run into trouble. "Text Body" is short and fits to [   1.0cm] (or whatever) but "Mein eigener Textkörper-Stil" wouldn't improve the usability of the number field. My take: numeric controls should not size with textual.

Tabs: Don't see if you changed the space between radio buttons, if so it would be very small, but please don't. The intention to align radio buttons is good, and it also looks balanced.
Comment 4 andreas_k 2019-10-21 20:02:32 UTC
Created attachment 155214 [details]
Outline Tab update 02

(In reply to Heiko Tietze from comment #3)
> Outline: If the outline dropdown is linked in size to the numbers we may run
> into trouble. "Text Body" is short and fits to [   1.0cm] (or whatever) but
> "Mein eigener Textkörper-Stil" wouldn't improve the usability of the number
> field. My take: numeric controls should not size with textual.

And when the Style is spanned over two columns?
Comment 5 andreas_k 2019-10-21 20:05:47 UTC
(In reply to Heiko Tietze from comment #3)
> Alignment: The more text you place in one line the larger this dialog
> becomes in lengthy tongues. At least, from Last Line on underneath Justified
> with some indentation, of course.

Expand single word can be bottom of the Start drop down box than the size didn't increase. good point.
Comment 6 andreas_k 2019-10-21 20:08:14 UTC
(In reply to Heiko Tietze from comment #3)
> Hyphenation: Why do you place automatic (page) break next to hyphenation?
> All previous modifications to the ui were done to have a consistent layout.

Cause Breaks section need now more space so an additional column is needed. should Breaks section be arranged next to Options section?
Comment 7 andreas_k 2019-10-21 20:09:49 UTC
(In reply to Heiko Tietze from comment #3)
> Tabs: Don't see if you changed the space between radio buttons, if so it
> would be very small, but please don't. The intention to align radio buttons
> is good, and it also looks balanced.

Thanks for the feedback. I'd like to only make the Character fields larger.
Comment 8 Heiko Tietze 2019-10-22 09:09:46 UTC
(In reply to andreas_k from comment #4)
> And when the Style is spanned over two columns?

That's what I meant with the generic rule to never put controls with numbers and text into the same sizegroup. 

(In reply to andreas_k from comment #6)
> should Breaks section be arranged next to Options section?

Following the guideline, all three sections have to align left.
Comment 9 Commit Notification 2019-10-22 20:05:28 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d686b7131c1949e1b1e65cee6464cbbfb62bf991

tdf#128239 Paragraph Dialog: Update Tabs tab

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-10-22 20:05:46 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5456719e2a2cc4f3d9bfc2f107a054c593cd5480

tdf#128239 Paragraph Dialog: Update Outline tab

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-10-22 20:05:53 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/48e68eddb9bc1d8356eaf493cfd4a520f64ce4d1

tdf#128239 Paragraph Dialog: Update Alignment tab

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 andreas_k 2019-10-25 07:41:19 UTC
Created attachment 155294 [details]
Text Flow

(In reply to Heiko Tietze from comment #8)
> Following the guideline, all three sections have to align left.

I thought is is to high, but area tab (with gradient, ...) has the same high, so why not.